# GET public actor instance

Source: https://docs.wabe.sh/api-reference/operations/fetchactorget/

`GET https://api.wabe.sh/v1/actor/{actor_id}/instances/{instance}/fetch`

The application authenticates the request. Wabe routes the request to the named instance on the registration’s default disk. See the [actor transport protocol](https://docs.wabe.sh/cloud/actor-protocol/).

## Parameters

- `actor_id` (path, string, required) — Actor registration ID.

- `instance` (path, string, required) — Instance name on the selected actor and disk.

## Responses

### 101

WebSocket upgrade.

### 200

Handler response. Streaming handlers can return an event stream.

`text/event-stream`

`*/*`

### default

Handler status, headers and body, or a broker error.
